/**
 * Autogenerated by Thrift Compiler (1.0.0-dev)
 *
 * DO NOT EDIT UNLESS YOU ARE SURE THAT YOU KNOW WHAT YOU ARE DOING
 *  @generated
 */
package jayeson.vodds.service.cms.thrift;


public enum ThriftTransactionType implements org.apache.thrift.TEnum {
  RESERVE(1),
  REFUND(2),
  ADJUST(3),
  RETURN(4);

  private final int value;

  private ThriftTransactionType(int value) {
    this.value = value;
  }


  /**
   * Get the integer value of this enum value, as defined in the Thrift IDL.
   */
  public int getValue() {
    return value;
  }

  public String getShortName(){
    switch (this) {
      case RESERVE:
        return "res";
      case REFUND:
        return "ref";
      case ADJUST:
        return "adj";
      case RETURN:
        return "ret";
      default:
        return null;
    }
  }

  /**
   * Find a the enum type by its integer value, as defined in the Thrift IDL.
   * @return null if the value is not found.
   */
  public static ThriftTransactionType findByValue(int value) {
    switch (value) {
      case 1:
        return RESERVE;
      case 2:
        return REFUND;
      case 3:
        return ADJUST;
      case 4:
        return RETURN;
      default:
        return null;
    }
  }
}
